Page MenuHomePhabricator

Requesting temporary logo change for sv.wiktionary.org
Closed, ResolvedPublic

Description

Event Timeline

Please @Skalman let me know when you reach 100.000 entries :)

@Superpes15, could you double-check that the temporary logo is good?

Very difficult to predict when we'll reach 100,000 pages. It could be a couple of months, but sometimes we've also had bursts of activity, so who knows :-)

If it is a temporary matter, add code css:

#p-logo a {
	background-image: url(LINK);
}

to Mediawiki:Common.css.

Replace LINK with a direct image link, and also an image uploaded local or Commons.

In T364247#9809778, @GergesSH wrote:

If it is a temporary matter, add code css:

Asking here on phab is always the best way. It has never been a problem to make these types of patches and revert them when needed.
Furthermore, policy says to ask here also for temporary changes, it's the best solution since the onwiki change has many limitations :)

Superpes15 changed the task status from Open to Stalled.May 17 2024, 7:09 PM

We have to wait for 100K pages, but it seems that they are decreasing, so I set the task as stalled (waiting for the goal to be reached)!

I don't think they're decreasing, though the increase is slow. I'll post an update when we're closer.

We're getting closer, currently at 99,959 entries. Should be at 100k within a week.

We hit 100k just a few minutes ago.

We'd like to have the logo changed for a month.

Thanks for notifying me :) Will do the patch asap (please consider that there are no deployment windows during the weekend )!

@Skalman May I add the same temporary logo (without wordmark and tagline) also for Vector 2022 skin? Thanks :)

@Superpes15, yes, of course.

Thanks! Will prepare everything asap so I can schedule the deployment within the first available window (in a few hours) :)

Change #1042997 had a related patch set uploaded (by Superpes15; author: Superpes15):

[operations/mediawiki-config@master] [svwikt] Add a temporary logo for the 100.000 pages

https://gerrit.wikimedia.org/r/1042997

@Skalman For the next time you create a logo (please notify Blåmes about this), please remember that the size of the logo must be 135px in width.
If larger, the logos are automatically reduced to 135px in width (so basically it's not a problem). The point is, when they are reduced to 135px in width, the height must be equal to or less than 155px, otherwise the logos are not accepted :D
I had to fix and re-upload the SVG to commons, and create the svg for vector 2022 and mobile. This explains the delay in creating the patch! The deployment will take place in about 2 hours (I already scheduled it), and the temporary logos will be removed on 13 July, thanks.

Change #1042997 merged by jenkins-bot:

[operations/mediawiki-config@master] [svwikt] Add a temporary logo for the 100.000 pages

https://gerrit.wikimedia.org/r/1042997

Mentioned in SAL (#wikimedia-operations) [2024-06-13T13:32:12Z] <logmsgbot> lucaswerkmeister-wmde@deploy1002 Started scap: Backport for [[gerrit:1042997|[svwikt] Add a temporary logo for the 100.000 pages (T364247)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-13T13:34:58Z] <logmsgbot> lucaswerkmeister-wmde@deploy1002 superpes, lucaswerkmeister-wmde: Backport for [[gerrit:1042997|[svwikt] Add a temporary logo for the 100.000 pages (T364247)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-13T13:45:37Z] <logmsgbot> lucaswerkmeister-wmde@deploy1002 Finished scap: Backport for [[gerrit:1042997|[svwikt] Add a temporary logo for the 100.000 pages (T364247)]] (duration: 13m 24s)

The logo is active now. Please revert 2024-07-13.

Done! In a month I'll re-open the task and will restore the previous logo, thanks! Congratulations for the milestone :)

Just for the record, I uploaded the temporary vector logo here: https://commons.wikimedia.org/wiki/File:WiktionarySv_100000_new_vector.svg